[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBCheckBox.Notification

Handles notification events for components used in the class instance.

## Declaration

Source position: dbctrls.pp line 678

`protected procedure TDBCheckBox.Notification(`
`AComponent: TComponent;`
`Operation: TOperation`
`); override;`

## Arguments

`AComponent` |  | Component for the notification.
`Operation` |  | Operation for the notification.

## Description

Notification is an overridden procedure in TDBCheckBox, and calls the inherited method. Notification ensures that an assigned value in DataSource is cleared (set to Nil) when the DataSource component is destroyed.

## See also

TDBCheckBox.DataSource |  | Provides access to the dataset with content for the control.
TComponent.Notification